// Jason Rohrer
// GuiMessage.java

/**
*
*	Class with static methods for displaying messages to user
*
*	Created 6-2-2000
*	Mods:
*/

package konspire.client;

import javax.swing.JOptionPane;
import java.awt.Component;


/**
 * Collection of static methods for displaying messages to user.
 *
 * @author Jason Rohrer
 */
public class GuiMessage {
	
	static Component parent;
	
	/**
	 * Sets parent component for messages.  This component is blocked 
	 * until message has been acknowledged by user.
	 *
	 * @param par parent component to be blocked by message
	 */
	public static void setParent( Component par ) {
		parent = par;
		}
		
	/**
	 * Displays a GUI dialog representation of a <code>String</code> message.
	 *
	 * @param s the message to display
	 */
	public static void show( String s ) {
		JOptionPane.showMessageDialog( parent, s, "note:", JOptionPane.WARNING_MESSAGE );
		}
		
	}