// Jason Rohrer
// TransferTable.java

/**
*
*	Table that displays status information (and user controls) for 
*	currently active file transfer threads
*
*	Created 5-11-2000
*	Mods:
*		Jason Rohrer	6-14-2000	Altered table row height to improve readability
*									of progress bars.
*/

package konspire.client;


import javax.swing.JButton;
import javax.swing.JProgressBar;

/**
 * Table that displays status information (and user controls) for 
 * currently active file transfer threads
 *
 * @author Jason Rohrer
 */
public abstract class TransferTable extends ScrollTablePanel {


	private String colTitles[] = { "file name", "size", "status", "" };
	
	private Class colClasses[] = { String.class, String.class, JProgressBar.class, JButton.class }; 

	String tableTitle;
	
	Client parent;
	
	/**
	 * Constructs a <code>TransferTable</code>.  Protected
	 * becase <code>TransferTable</code> is abstract.
	 *
	 * @param title title to be displayed on table panel
	 */
	protected TransferTable( String title ) {
		super();
		tableTitle = title;
		// setup superclass ScrollTablePanel
		setup( tableTitle, colTitles, colClasses );
		
		JProgressBar tempBar = new JProgressBar( 0, 100 );
		tempBar.setString( "Temp" );
		tempBar.setStringPainted( true );
		int tableRowHeight = (int)( tempBar.getPreferredSize().height );
		table.setRowHeight( tableRowHeight );
		}


	/**
	 * Adds an UNSTARTED thread to the table.<BR>
	 * Thread will be started by this function call.<BR>
	 * Thread MUST remove itself when done.<BR>
	 *
	 * @param transThread thread to add to table
	 *
	 * @return true iff thread was added successfully
	 *
	 */
	protected boolean addThread( TransferThread transThread ) {
		transThread.setTable( this );
		transThread.start();
		return true;
		}	
		
	}