// Jason Rohrer
// FileDescriptor.java

/**
*
*	Descriptor of a file
*
*	Created 5-4-2000
*	Mods:
*		Jason Rohrer	6-1-2000	Added file path (to support scanned subdirectories).
*		Jason Rohrer	6-1-2000	Added support for setting host after construction
*									to allow for fixing bad local addresses.
*/

package konspire.common;

import java.io.Serializable;

public class FileDescriptor implements java.io.Serializable {
	
	protected Host fileLocation;
	
	protected String fileName;
	
	protected String filePath;
	
	protected long fileSize;	// file size in bytes
	
	public FileDescriptor( Host h, String name, String path, long fSize ) {
		fileLocation = h;
		fileName = name;
		filePath = path;
		fileSize = fSize;
		}
	
	public Host getHost() {
		return fileLocation;
		}
	
	public void setHost( Host inFileLocation ) {
		fileLocation = inFileLocation;
		}
	
	public String getName() {
		return fileName;
		}
	
	public String getPath() {
		return filePath;
		}
	
	public long getSize() {
		return fileSize;
		}
		
	public boolean equals( Object o) {
		if( o instanceof FileDescriptor ) {
			FileDescriptor other = (FileDescriptor) o;
			if(  fileLocation.equals( other.getHost() ) && 
					fileName.equals( other.getName() ) &&
					fileSize == other.getSize() ) {
				return true;
				}
			}
		return false;
		}	

	public String toString() {
		return fileLocation.toString() + " : " + fileName + " (" + fileSize + "B)";
		}

	}